net.minecraft.client.renderer

## Class WorldRenderer

- java.lang.Object
- - net.minecraft.client.renderer.WorldRenderer

-     public class WorldRenderer
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `chunkIndex` Chunk index
    `static int` | `chunksUpdated`
    `int` | `glOcclusionQuery` OpenGL occlusion query
    `boolean` | `isChunkLit` Is the chunk lit
    `boolean` | `isInFrustum`
    `boolean` | `isVisible` Is this renderer visible according to the occlusion query
    `boolean` | `isWaitingOnOcclusionQuery` Is this renderer waiting on the result of the occlusion query
    `boolean` | `needsUpdate` Boolean for whether this renderer needs to be updated or not
    `int` | `posX`
    `int` | `posXClip` Pos X clipped
    `int` | `posXMinus` Pos X minus
    `int` | `posXPlus` Pos X plus
    `int` | `posY`
    `int` | `posYClip` Pos Y clipped
    `int` | `posYMinus` Pos Y minus
    `int` | `posYPlus` Pos Y plus
    `int` | `posZ`
    `int` | `posZClip` Pos Z clipped
    `int` | `posZMinus` Pos Z minus
    `int` | `posZPlus` Pos Z plus
    `AxisAlignedBB` | `rendererBoundingBox` Axis aligned bounding box
    `boolean[]` | `skipRenderPass` Should this renderer skip this render pass
    `List` | `tileEntityRenderers` All the tile entities that have special rendering code for this chunk
    `World` | `worldObj` Reference to the World object.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorldRenderer(World par1World, List par2List, int par3, int par4, int par5, int par6)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `callOcclusionQueryList()` Renders the occlusion query GL List
    `float` | `distanceToEntitySquared(Entity par1Entity)` Returns the distance of this chunk renderer to the entity without performing the final normalizing square root, for performance reasons.
    `int` | `getGLCallListForPass(int par1)` Takes in the pass the call list is being requested for.
    `void` | `markDirty()` Marks the current renderer data as dirty and needing to be updated.
    `void` | `setDontDraw()` When called this renderer won't draw anymore until its gets initialized again
    `void` | `setPosition(int par1, int par2, int par3)` Sets a new position for the renderer and setting it up so it can be reloaded with the new data for that position
    `boolean` | `skipAllRenderPasses()` Checks if all render passes are to be skipped.
    `void` | `stopRendering()`
    `void` | `updateInFrustum(ICamera par1ICamera)`
    `void` | `updateRenderer()` Will update this chunk renderer

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### worldObj

          public World worldObj

      Reference to the World object.

    - #### chunksUpdated

          public static int chunksUpdated

    - #### posX

          public int posX

    - #### posY

          public int posY

    - #### posZ

          public int posZ

    - #### posXMinus

          public int posXMinus

      Pos X minus

    - #### posYMinus

          public int posYMinus

      Pos Y minus

    - #### posZMinus

          public int posZMinus

      Pos Z minus

    - #### posXClip

          public int posXClip

      Pos X clipped

    - #### posYClip

          public int posYClip

      Pos Y clipped

    - #### posZClip

          public int posZClip

      Pos Z clipped

    - #### isInFrustum

          public boolean isInFrustum

    - #### skipRenderPass

          public boolean[] skipRenderPass

      Should this renderer skip this render pass

    - #### posXPlus

          public int posXPlus

      Pos X plus

    - #### posYPlus

          public int posYPlus

      Pos Y plus

    - #### posZPlus

          public int posZPlus

      Pos Z plus

    - #### needsUpdate

          public boolean needsUpdate

      Boolean for whether this renderer needs to be updated or not

    - #### rendererBoundingBox

          public AxisAlignedBB rendererBoundingBox

      Axis aligned bounding box

    - #### chunkIndex

          public int chunkIndex

      Chunk index

    - #### isVisible

          public boolean isVisible

      Is this renderer visible according to the occlusion query

    - #### isWaitingOnOcclusionQuery

          public boolean isWaitingOnOcclusionQuery

      Is this renderer waiting on the result of the occlusion query

    - #### glOcclusionQuery

          public int glOcclusionQuery

      OpenGL occlusion query

    - #### isChunkLit

          public boolean isChunkLit

      Is the chunk lit

    - #### tileEntityRenderers

          public List tileEntityRenderers

      All the tile entities that have special rendering code for this chunk

  - ### Constructor Detail

    - #### WorldRenderer

          public WorldRenderer(World par1World,
                       List par2List,
                       int par3,
                       int par4,
                       int par5,
                       int par6)

  - ### Method Detail

    - #### setPosition

          public void setPosition(int par1,
                         int par2,
                         int par3)

      Sets a new position for the renderer and setting it up so it can be reloaded with the new data for that position

    - #### updateRenderer

          public void updateRenderer()

      Will update this chunk renderer

    - #### distanceToEntitySquared

          public float distanceToEntitySquared(Entity par1Entity)

      Returns the distance of this chunk renderer to the entity without performing the final normalizing square root, for performance reasons.

    - #### setDontDraw

          public void setDontDraw()

      When called this renderer won't draw anymore until its gets initialized again

    - #### stopRendering

          public void stopRendering()

    - #### getGLCallListForPass

          public int getGLCallListForPass(int par1)

      Takes in the pass the call list is being requested for. Args: renderPass

    - #### updateInFrustum

          public void updateInFrustum(ICamera par1ICamera)

    - #### callOcclusionQueryList

          public void callOcclusionQueryList()

      Renders the occlusion query GL List

    - #### skipAllRenderPasses

          public boolean skipAllRenderPasses()

      Checks if all render passes are to be skipped. Returns false if the renderer is not initialized

    - #### markDirty

          public void markDirty()

      Marks the current renderer data as dirty and needing to be updated.